Subject: Re: bug#4322: Carbon Emacs 23.1; first ESC and C-x are always eaten

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Fri, 04 Sep 2009 18:28:02 +0900

>>>>> On Fri, 4 Sep 2009 11:07:52 +0200, Peter Dyballa <[email-masked]> said:

> I changed the environment that MacPorts is neither found nor used.
> Fink is still in use, and therefore pkg-config is found, installed
> and maintained by Fink. It finds some PC files, so still some "extra
> libraries" get used:

Maybe you can try --without-dbus --without-rsvg.

Below is the output of otool -L on my side (Mac OS X 10.4.11 PPC)

src/emacs:
	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon (compatibility version 2.0.0, current version 128.0.0)
	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 11.0.0)
	/usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current version 5.4.0)
	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.1.12)

And I couldn't reproduce "ESC and C-x swallowing" with German keyboard
layout on US keyboard.

I wonder why QuickTime is linked with your binary.  Also, libncurses
is linked against libncurses.5.dylib rather than libncurses.5.4.dylib.
Are you setting some environment variables that affect
compiler/linker?

				     YAMAMOTO Mitsuharu
				[email-masked]